# Khanat client 3D assets source

3D Game client 3D assets source files providing the files for the [Khanat client 3D assets](https://port.numenaute.org/khaganat/mmorpg_khanat/khanat-client-3d-assets) repository.

This repository contains only sourcefiles, not exported files. These are mainly [Blender](https://www.blender.org/) files.

It is intended to be used as sources to generate the Godot compatible formats of the [Khanat client 3D assets](https://port.numenaute.org/khaganat/mmorpg_khanat/khanat-client-3d-assets).

This repository is using [Git Large File Storage](https://git-lfs.github.com/).

You can get more informations on our [wiki](https://khaganat.net/wikhan/fr:collabo_khanat_client_3d_assets_sources)

## Blender usage

**Use only the latest stable Blender version. Never save any file with a more recent, unstable version !**

- create a root collection named "khanat" and put any model in a sub-collection. Each exported glTF file will include the content of one subfolder at a time and will be named from it.
- create a subfolder named textures to include dedicated textures for the file

## Best practices

- please check our [Best practive manual](https://port.numenaute.org/khaganat/mmorpg_khanat/khanat_gamedev_guide) for naming conventions etc.
- put anything copyrighted in a subfolder with "_copyright" at its end, so it will be ignored by git
- create a .json file with contribution informations in it, named from the file, in the very same folder with such a content :

```
{
        "contributors":
                [{
                        "name" : "CamilleZ",
                        "email" : "camz@nowway.out",
                        "url" : "https://khaganat.net"
                }],
        "license" : "CC-BY-SA-4.0"
}
```
